Install an integration on a space
Enables an existing organization-level installation on one space. The organization must already have the integration installed.
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
integrationNamestring · max: 100RequiredPattern:
Name of the integration.
^[a-zA-Z0-9-_.]+$installationIdstringRequired
Identifier of the installation
Query parameters
extendedbooleanOptionalDefault:
If true, returns the space object in each items. If false, returns the space ID in each items.
falseBody
spacestringRequired
ID of the space to install the integration on
Responses
201
Integration installed successfully on space
application/json
404
Not Found
application/json
post/integrations/{integrationName}/installations/{installationId}/spaces
POST /v1/integrations/{integrationName}/installations/{installationId}/spaces HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"space": "text"
}{
"integration": "text",
"installation": "text",
"status": "active",
"configuration": {},
"externalIds": [
"text"
],
"urls": {
"location": "https://example.com",
"publicEndpoint": "https://example.com",
"publicContentEndpoint": "https://example.com"
},
"space": "text"
}Last updated
Was this helpful?